feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.SourceInfo

Synopsis

- module Language.Syntactic.Constructs.Identity
- module Language.Syntactic.Constructs.Decoration
- data SourceInfo1 a = SourceInfo1 SourceInfo

# Documentation

module Language.Syntactic.Constructs.Identity

module Language.Syntactic.Constructs.Decoration

data SourceInfo1 a

Kind `* -> *` version of `SourceInfo`

Constructors

SourceInfo1 SourceInfo |

Instances

SizeProp (:|| (Decor SourceInfo1 Identity) Type) |
Sharable (Decor SourceInfo1 Identity) |
(:<: (:|| (Decor SourceInfo1 Identity) Type) dom, Optimize dom dom) => Optimize (:|| (Decor SourceInfo1 Identity) Type) dom |